Update a Template Variable
PUT/agreements/:agreement_id/recipient_messages/message_template_variables/:message_template_variable_id
Update a template variable.
Request
Path Parameters
PUT /agreements/:agreement_id/recipient_messages/message_template_variables/:message_template_variable_id parameter
PUT /agreements/:agreement_id/recipient_messages/message_template_variables/:message_template_variable_id parameter
- application/json
Body
PUT /agreements/:agreement_id/recipient_messages/message_template_variables/:message_template_variable_id request body
The value of the variable. Booleans and numbers must be passed as string, but will be parsed into their native types when used. All values will be sanitized.
The name of the variable. All values will be sanitized.
Responses
- 200
- 400
PUT /agreements/:agreement_id/recipient_messages/message_template_variables/:message_template_variable_id Successful response
- application/json
- Schema
- Example (from schema)
Schema
Possible values: [1.0]
The version of the response schema
Possible values: [single]
A single object of the recipient_message_template_variable resource.
Possible values: [recipient_message_template_variable]
Data contains the recipient_message_template_variable resource.
data objectrequired
The resource data.
The unique identifier of the recipient message variable
Possible values: [recipient_message_template_variable]
UTC datetime ISO string
UTC datetime ISO string
{
"version": "1.0",
"result_type": "single",
"resource_type": "recipient_message_template_variable",
"data": {
"id": "cib8xafdl0q1pewqwkoexample",
"resource_type": "recipient_message_template_variable",
"variable_name": "string",
"variable_value": "string",
"created_at": "2024-01-01T00:00:00.000Z",
"updated_at": "2024-01-01T00:00:00.000Z"
}
}
PUT /agreements/:agreement_id/recipient_messages/message_template_variables/:message_template_variable_id Error response
- application/json
- Schema
- Example (from schema)
Schema
Possible values: [error]
error objectrequired
Possible values: [input_validation_error, bad_request, authorization_error, forbidden_error, not_found_error, conflict_error, internal_server_error]
input_validation_error (400): the request input is invalid. bad_request (400): the request cannot be processed. authorization_error (401): the access token is missing or invalid. forbidden_error (403): the client is not allowed to perform the request. not_found_error (404): the resource does not exist. conflict_error (409): a concurrent change made the request invalid, e.g. the agreement stopped being editable while the request was processed. Re-fetch the resource before retrying. internal_server_error (500): an unexpected error occurred.
Possible values: >= 400 and <= 599
{
"status": "error",
"error": {
"type": "input_validation_error",
"code": 0,
"message": "string",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
}